import { AuthContext, AuthProps } from "@/providers/providers";
import { ReactNode, useContext } from "react";

interface Props {
    children?: ReactNode;
    auth?: AuthProps;
}

export default function SomeServerSubComponent(props:Props){
    let { test, auth } = useContext(AuthContext);

    
    return (
        <span>{test}{JSON.stringify(auth)}</span>
    );
}